# Expose a service port on the public IP Source: https://docs.orchard.hackclub.com/api/operations/deployments_services_ports_public/ `POST /apiv1/deployments/{deploymentId}/services/{serviceId}/ports/{portId}/public` Operation ID: `deployments_services_ports_public` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `deploymentId` | path | Yes | | | `serviceId` | path | Yes | | | `portId` | path | Yes | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "enabled": { "type": "boolean" }, "host": { "type": "string" }, "ip": { "type": "string" }, "port": { "type": "number" }, "protocol": { "type": "string" } }, "required": [ "enabled", "host", "ip", "port", "protocol" ], "type": "object" } ```